
  <!DOCTYPE html>
  <html>
    <head>
      <title>projectSettings.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/queries/projectSettings.ts</td><td class="">100.00%</td><td class="">80%</td><td class="">83</td><td class="">83</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useMutation, useQuery } from &#x27;react-query&#x27;;
import { QUERIES } from &#x27;./queriesEnum&#x27;;
import {
  FitParameter,
  FitProcedure,
  ProjectSettings,
  ProjectSettingsApi
} from &#x27;../api/projectSettings&#x27;;
import { MUTATIONS } from &#x27;./mutationsEnum&#x27;;

export const useProjectSettings = (projectId?: string | null) =&gt; {
  return useQuery(
    [QUERIES.PROJECT_SETTINGS, projectId],
    () =&gt; ProjectSettingsApi.getById(projectId || &#x27;&#x27;),
    {
      enabled: Boolean(projectId)
    }
  );
};

export const useCreateProjectSettings = () =&gt;
  useMutation(
    ({
      projectId,
      projectSettings,
      fitParameters,
      fitProcedures
    }: {
      projectId: string;
      projectSettings: ProjectSettings;
      fitProcedures: FitProcedure[];
      fitParameters: FitParameter[];
    }) =&gt; {
      return ProjectSettingsApi.create(projectId, {
        projectSettings,
        fitParameters,
        fitProcedures
      });
    },
    {
      mutationKey: MUTATIONS.UPDATE_PROJECT_SETTINGS
    }
  );

export const useUpdateProjectSettings = () =&gt;
  useMutation(
    ({
      projectId,
      projectSettings,
      fitParameters,
      fitProcedures
    }: {
      projectId: string;
      projectSettings: ProjectSettings &amp; { id: string };
      fitProcedures: (FitProcedure &amp; { id: string })[];
      fitParameters: (FitParameter &amp; { id: string })[];
    }) =&gt; {
      return ProjectSettingsApi.update({
        projectId,
        projectSettings,
        fitParameters,
        fitProcedures
      });
    },
    {
      mutationKey: MUTATIONS.UPDATE_PROJECT_SETTINGS
    }
  );

export const useUpdateFitParameters = () =&gt;
  useMutation(
    ({
      projectId,
      fitParameters
    }: {
      projectId: string;
      fitParameters: (Partial&lt;FitParameter&gt; &amp; { id: string })[];
    }) =&gt; ProjectSettingsApi.updateFitParameters(projectId, fitParameters),
    { mutationKey: MUTATIONS.UPDATE_FIT_PARAMETERS }
  );
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  